Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.ac.nagoyau.is.ss.kishii.suntori.message.task.at
Class RescueAreaTaskMessage

    java.lang.Object
      jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
          jp.ac.nagoyau.is.ss.kishii.suntori.message.task.TaskMessage
              jp.ac.nagoyau.is.ss.kishii.suntori.message.task.at.AmbulanceTeamTaskMessage
                  jp.ac.nagoyau.is.ss.kishii.suntori.message.task.at.RescueAreaTaskMessage

All Implemented Interfaces:
  IMessage, ITaskMessage

    public class RescueAreaTaskMessage

extends AmbulanceTeamTaskMessage

The RescueAreaTaskMessage show the message that command to rescue.
This class inform some areas (set of area) and order to search and rescue victim in this area.

Author:
  takefumi

Field Summary

Fields inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
`COMMON_DATA_TYPE, data, messageType`

Constructor Summary
`RescueAreaTaskMessage(int time, rescuecore2.worldmodel.EntityID ownerID, rescuecore2.worldmodel.EntityID atID, rescuecore2.worldmodel.EntityID... areas)` Constructor
`RescueAreaTaskMessage(int time, rescuecore2.worldmodel.EntityID ownerID, rescuecore2.worldmodel.EntityID atID, java.util.List<rescuecore2.worldmodel.EntityID> areas)` Constructor
`RescueAreaTaskMessage(java.util.List<java.lang.Integer> bitList, int offset, java.util.EnumMap<DataType,java.lang.Integer> bitSizeMap)` The method that the library use to convert the message.

Method Summary
`java.util.List<rescuecore2.worldmodel.EntityID>` | `getTargetAreaList()` Return the list of areas that are target of the search.

Methods inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.task.at.AmbulanceTeamTaskMessage
`getAssignedAgentID`

Methods inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.task.TaskMessage
`getMessageOwnerID, setEntityIDListData`

Methods inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
`equals, getBrokenness, getBuriedness, getCoodinate, getDamage, getData, getData, getDataTypeArray, getEntityIDList, getFieryness, getHP, getID, getMessageBitSize, getMessageType, getRepairCost, getSendTime, getSendTime, getWater, getWaterPower, hashCode, isSendable, setCoorinate, setData, setData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RescueAreaTaskMessage

    public RescueAreaTaskMessage(int time,
                                 rescuecore2.worldmodel.EntityID ownerID,
                                 rescuecore2.worldmodel.EntityID atID,
                                 rescuecore2.worldmodel.EntityID... areas)

  ## Constructor

  Create the message to order to rescue to AT.
  Included data are follow.
  - time:the time that the message is created.(int)
  - ownerID:EntityID of the agent that sent this message.
  - atID:EntityID of AT that is ordered to do.
  - areas:EntityIDs of area that are search target

  Parameters:
    `time` - step num
    `ownerID` - EntityID of the agent that sent this message.
    `atID` - EntityID of AT.
    `areas` - EntityIDs of area

### RescueAreaTaskMessage

    public RescueAreaTaskMessage(int time,
                                 rescuecore2.worldmodel.EntityID ownerID,
                                 rescuecore2.worldmodel.EntityID atID,
                                 java.util.List<rescuecore2.worldmodel.EntityID> areas)

  ## Constructor

  Create the message to order rescue to AT.
  Included data are follow.
  - time:the time that the message is created.(int)
  - ownerID:EntityID of the agent that sent this message.
  - atID:EntityID of AT that is ordered to do.
  - areas:List of EntityIDs of area that are search target

  Parameters:
    `time` - step num
    `ownerID` - EntityID of the agent that sent this message
    `atID` - EntityID of the AT
    `areas` - List of EntityID

### RescueAreaTaskMessage

    public RescueAreaTaskMessage(java.util.List<java.lang.Integer> bitList,
                                 int offset,
                                 java.util.EnumMap<DataType,java.lang.Integer> bitSizeMap)

  The method that the library use to convert the message.

  Parameters:
    `bitList` -
    `offset` -
    `bitSizeMap` -

Method Detail

### getTargetAreaList

    public java.util.List<rescuecore2.worldmodel.EntityID> getTargetAreaList()

  Return the list of areas that are target of the search.

  Returns:
    Return list of areas(List<EntityID>)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD